Subject: Re: Running Win10 after end of life

From: Keith Smith via PLUG-discuss <[email-masked]>
Date: Fri, 09 May 2025 13:14:22 -0700

Thank you David for this long response!!

You said "which is why they switched to free updates" at the very bottom 
of your post. Are you saying M$ provides free upgrades?

Your reply seems to point out the same issue that is approaching for 
Win10 - no support.

Why are you not concerned about stopping updates - doesn't that make 
your configuration vulnerable?

I did maybe 7 annual Payment Card Industry (PCI) certification on a 
shopping cart and every year there were more vulnerabilities to address. 
  Seems M$ and Apple would have the same issue.  Am I wrong?

- Keith

On 2025-05-09 12:31, David Schwartz via PLUG-discuss wrote:
> Probably because there does not seem to be many Apple fans here.
> 
> Apples policies have not changed in over a decade. They update their OS 
> every year, and generally speaking they don’t push out breaking changes 
> that aren’t tied to new hardware.
> 
> The original 2014 platforms supported both 32-bit and 64-bit software, 
> but one of the OS updates removed support for 32-bits. I will not 
> upgrade to that OS so as to not lose access to several 32-bit apps — 
> they cost a lot to update.
> 
> The next major change was adding support for Apples M-series CPUs. The 
> OS overlapped Intel and Mx for a couple of releases, then they dropped 
> Intel, so that’s as far as you can go with OS updates.
> 
> Their official policy is they only support the last three releases. But 
> I continue to get update notices for my 2014 systems, although I Just 
> ignore them.
> 
> The bigger problem, however, is when there are some hardware changes. 
> To generate apps for their platforms, you need to run XCode, and it 
> gets up dates regularly. It’s always updated for new OS releases as 
> well. You cannot publish new software with older versions of XCode.
> 
> That means at some point when a vendor issues an update of an app you 
> have, it won’t run on an older OS version. I think that’s where their 
> “3 last OS releases” comes in, because XCode seems to enforce it.
> 
> So if you don’t want to lose your apps, you just stop installing 
> updates especially if they want you to upgrade the OS.
> 
> It’s worse on things that run iOS.
> 
> If you know, you know, and stop installing updates. If you don’t, you 
> lose access to some stuff or you’re told you can’t update any further.
> 
> MS makes a lot of noise for their major transitions, which happen every 
> 5 years or so. They got jammed-up when so many people refused to pay to 
> upgrade Windows which is why they switched to free updates — so they 
> can force people to update their OS. Apple does the same thing, but 
> they don’t make a big deal about it.
> 
> -David Schwartz
> 
> 
> 
> 
>> On May 9, 2025, at 7:16 AM, Keith Smith via PLUG-discuss 
>> <[email-masked]> wrote:
>> 
>> Eric and everyone,
>> 
>> Win10 EOL is being taken as a big deal because it will no longer be 
>> supported, unless one buys extended support.
>> 
>> There is lots of talk about old Apple hardware however I am not 
>> hearing about any concern for lack of support.  Why is that?
>> 
>> - Keith
>> 
>> 
>> 
>> On 2025-05-08 13:41, Eric Oyen via PLUG-discuss wrote:
>>> David,
>>> You’re not the only one! My Mac mini is circa 2012 and it still
>>> functions well with its original OS, however, things are starting to
>>> come to the point where I’m going to have to install LINUX on it.
>>> There’s some things I can’t do with it anymore. (some webpages
>>> won’t load properly which means they won’t load inside the screen
>>> reader either. However, I’m looking at the open core project, which
>>> will probably give me some options as far as updating is concerned.
>>> And yes, because I’m on an exceedingly limited income (disability),
>>> I am like you in that I cannot afford new equipment every time
>>> somebody forces us through the upgrade cycle.
>>> Anyway, that’s probably the beauty about Apple hardware is that it
>>> lasts a long time.
>>> Eric
>>> Sent from my iPhone
>>>> On May 8, 2025, at 12:01 PM, David Schwartz via PLUG-discuss
>>>> <[email-masked]> wrote:
>>>> I truly appreciate your concern and encouragement to spend money
>>>> needlessly. I typically keep my hardware until it dies. If you
>>>> prefer to replace yours on a schedule even if it’s still working,
>>>> that’s up to you. So far, my Mac hardware has lasted far longer
>>>> than anything running Windows. I doubt it’s the OS.
>>>> (My first iMac died not long after the Apple Care expired — a chip
>>>> on the video card failed and they wanted nearly $700 to replace it.
>>>> That didn’t seem like a wise investment, so I pulled out the RAM
>>>> and HD, and sold the carcass for nearly $400. I could have gotten
>>>> more than that by parting out the case, PS, LCD display, and logic
>>>> board separately, but that would have taken longer.)
>>>> However, I also know that Windows attracts more than an order of
>>>> magnitude more attempts to hack the system versus all other
>>>> platforms combined, so I CHOOSE to avoid it in large part for that
>>>> reason alone. I also prefer *nix to Windows as it’s far more
>>>> stable.
>>>> Value is measured over time. My experience with Apple’s hardware
>>>> is that it lasts far longer than anything I’ve had that runs
>>>> Windows. And it does not depreciate nearly as quickly. I’m quite
>>>> happy with the value I’ve gotten for my money.
>>>> -David Schwartz
>>>> On May 7, 2025, at 10:02 AM, Matthew Gibson via PLUG-discuss
>>>> <[email-masked]> wrote:
>>>> My wife's macbook died. Multiple times. Several were hard drive
>>>> failures. We replaced, with Apple-nazi sanctioned hardware. The
>>>> final death was when the graphics card stopped working. Could get a
>>>> framebuffer on it. But anything more intensive? nope. Thing said
>>>> 'Newp!' So I said 'good-riddance'.
>>>> You can like whatever hardware you want. As for me and my house? I
>>>> don't run Apple crap.
>>>> Too much headache. Too much engineered obsolescence. Too much money
>>>> for what it's worth.
>>>> Even with the "better hardware" rationale for fanboys paying out
>>>> every time a new phone comes out which only improves slightly on a
>>>> camera, or better, adds a feature that android has had for years.
>>>> I wouldn't want to do any serious work on your old macs that are
>>>> ancient. Have you done any vulnerability scans on them? "Might want
>>>> to look into that" ~Tony Stark, as he bonks the head of the bad guy
>>>> in Iron Man I.
>>>> Anyways, I'm not going to change your mind, and this conversation
>>>> grows ancient. Like your macs.
>>>> T.T.F.N.
>>>> On Tue, May 6, 2025 at 6:03 PM David Schwartz via PLUG-discuss
>>>> <[email-masked]> wrote:
>>>> On May 4, 2025, at 7:36 PM, Keith Smith via PLUG-discuss
>>>> <[email-masked]> wrote:
>>>>> I did not know there was a bias on the list.
>>>>> - Keith
>>>> It’s when people mention “the Apple tax” that the bias shows
>>>> up.
>>>> At least my older Macs don’t turn into door-stops when Apple stops
>>>> supporting them. Two of them cannot be upgraded to the latest
>>>> versions of MacOS, but they are fully functional.
>>>> From all of the warnings I’m reading about Windows 10, I’m
>>>> really not sure what to expect. I have two computers that I can’t
>>>> upgrade to Win 11.
>>>> -David Schwartz
>>>> ---------------------------------------------------
>>>> PLUG-discuss mailing list: [email-masked]
>>>> To subscribe, unsubscribe, or to change your mail settings:
>>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>>> ---------------------------------------------------
>>>> PLUG-discuss mailing list: [email-masked]
>>>> To subscribe, unsubscribe, or to change your mail settings:
>>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>> ---------------------------------------------------
>>> PLUG-discuss mailing list: [email-masked]
>>> To subscribe, unsubscribe, or to change your mail settings:
>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>> ---------------------------------------------------
>>> PLUG-discuss mailing list: [email-masked]
>>> To subscribe, unsubscribe, or to change your mail settings:
>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss